E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::AdminServer::Config Struct Reference

A configuration structure for GSmtp::AdminServer. More...

`#include <gadminserver.h>`

Collaboration diagram for GSmtp::AdminServer::Config:
[legend]

## Public Member Functions
Config & | set_port (unsigned int) noexcept
Config & | set_with_terminate (bool=true) noexcept
Config & | set_allow_remote (bool=true) noexcept
Config & | set_remote_address (const std::string &)
Config & | set_info_commands (const G::StringMap &)
Config & | set_smtp_client_config (const Client::Config &)
Config & | set_net_server_config (const GNet::Server::Config &)
Config & | set_net_server_peer_config (const GNet::ServerPeer::Config &)

## Public Attributes
unsigned int | port {10026U}
bool | with_terminate {false}
bool | allow_remote {false}
std::string | remote_address
G::StringMap | info_commands
Client::Config | smtp_client_config
GNet::Server::Config | net_server_config
GNet::ServerPeer::Config | net_server_peer_config

## Detailed Description

A configuration structure for GSmtp::AdminServer.

Definition at line 125 of file gadminserver.h.

## Member Function Documentation

## ◆ set_allow_remote()

GSmtp::AdminServer::Config & GSmtp::AdminServer::Config::set_allow_remote | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 206 of file gadminserver.h.

## ◆ set_info_commands()

GSmtp::AdminServer::Config & GSmtp::AdminServer::Config::set_info_commands | ( | const G::StringMap & | m | ) |
| inline

Definition at line 208 of file gadminserver.h.

## ◆ set_net_server_config()

GSmtp::AdminServer::Config & GSmtp::AdminServer::Config::set_net_server_config | ( | const GNet::Server::Config & | c | ) |
| inline

Definition at line 210 of file gadminserver.h.

## ◆ set_net_server_peer_config()

GSmtp::AdminServer::Config & GSmtp::AdminServer::Config::set_net_server_peer_config | ( | const GNet::ServerPeer::Config & | c | ) |
| inline

Definition at line 211 of file gadminserver.h.

## ◆ set_port()

GSmtp::AdminServer::Config & GSmtp::AdminServer::Config::set_port | ( | unsigned int | n | ) |
| inline noexcept

Definition at line 204 of file gadminserver.h.

## ◆ set_remote_address()

GSmtp::AdminServer::Config & GSmtp::AdminServer::Config::set_remote_address | ( | const std::string & | s | ) |
| inline

Definition at line 207 of file gadminserver.h.

## ◆ set_smtp_client_config()

GSmtp::AdminServer::Config & GSmtp::AdminServer::Config::set_smtp_client_config | ( | const Client::Config & | c | ) |
| inline

Definition at line 209 of file gadminserver.h.

## ◆ set_with_terminate()

GSmtp::AdminServer::Config & GSmtp::AdminServer::Config::set_with_terminate | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 205 of file gadminserver.h.

## Member Data Documentation

## ◆ allow_remote

bool GSmtp::AdminServer::Config::allow_remote {false}

Definition at line 129 of file gadminserver.h.

## ◆ info_commands

G::StringMap GSmtp::AdminServer::Config::info_commands

Definition at line 131 of file gadminserver.h.

## ◆ net_server_config

GNet::Server::Config GSmtp::AdminServer::Config::net_server_config

Definition at line 133 of file gadminserver.h.

## ◆ net_server_peer_config

GNet::ServerPeer::Config GSmtp::AdminServer::Config::net_server_peer_config

Definition at line 134 of file gadminserver.h.

## ◆ port

unsigned int GSmtp::AdminServer::Config::port {10026U}

Definition at line 127 of file gadminserver.h.

## ◆ remote_address

std::string GSmtp::AdminServer::Config::remote_address

Definition at line 130 of file gadminserver.h.

## ◆ smtp_client_config

Client::Config GSmtp::AdminServer::Config::smtp_client_config

Definition at line 132 of file gadminserver.h.

## ◆ with_terminate

bool GSmtp::AdminServer::Config::with_terminate {false}

Definition at line 128 of file gadminserver.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gadminserver.h